현재 지원되는 PHP 버전

워드프레스 사이트를 운영하는 경우에는 PHP 버전이 7.4 이상인 것이 바람직합니다. 워드프레스에서는 PHP 7.4 이상을 권장합니다.

  • PHP 버전 7.4 이상.
  • MySQL 버전 5.7 이상 또는 MariaDB 버전 10.3 이상.
  • HTTPS 지원.

현재 지원되는 PHP 버전

현재 보안 지원(Security Support)가 지원되는 PHP 버전은 7.4, 8.0, 그리고 8.1입니다(출처: Supported Versions).

현재 지원되는 PHP 버전

PHP 7.4 버전의 지원 만료일은 2022년 11월 28일까지이며 약 5개월이 남았습니다.

PHP 8.0 버전은 약 1년 5개월 후에, PHP 8.1 버전은 약 2년 5개월 후에 보안 지원이 만료됩니다.

보안 지원이 만료되면 보안에 취약해질 수 있습니다.

현재 대부분의 국내 웹호스팅 업체들은 PHP 7.4까지 제공하고 있으며 나우호스팅이 PHP 8.0까지 지원합니다(“국내 호스팅업체들 신규설치 PHP 버전 목록 정리(2022.6월)” 참고).

블루호스트(Bluehost)를 비롯한 대부분의 해외호스팅은 PHP 8.1까지 지원됩니다. 수익형 블로그를 운영하거나 개인 블로그 또는 포트폴리오를 운영하는 경우 해외호스팅이 괜찮은 선택일 수 있습니다.

웹호스팅에 신규로 가입한다면 가급적 가장 높은 PHP 버전을 선택하는 것이 바람직합니다. PHP 5.x대는 사용하지 않는 것이 좋습니다.

워드프레스 사이트의 경우 PHP 버전이 낮으면 워드프레스 버전과 테마, 플러그인의 버전도 낮은 경우가 많습니다. 그러면 보안에 문제가 발생할 수 있고, 실제로 업데이트를 제대로 하지 않아서 사이트가 해킹을 당하거나 멀웨어(악성코드)에 감염되는 사례를 종종 접합니다.

현재 이 블로그는 나우호스팅이라는 국내 호스팅을 이용하고 있습니다. 가성비 측면에서는 해외호스팅을 당할 수가 없지만, 국내 호스팅 중에서는 괜찮은 가성비를 보여주는 것 같습니다. 자세한 정보는 나우호스팅 홈페이지를 참고해보시기 바랍니다. 무료호스팅도 제공하므로 먼저 테스트 사이트를 운영하여 속도와 안정성을 평가해볼 수 있을 것입니다.